# Red Hat Documentation Specfile
Name:           springdale-guide
Version:        5.0
Release:        4%{?dist}
Summary:        Springdale Linux Guide
Group:          Documentation
License:        GPL
URL:            http://www.elders.princeton.edu
Source0:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post,postun): coreutils
Requires:	springdale-logos
Provides:	pu_ias-guide

%description
		
			This Guide documents relevant information regarding the configuration and administration of PU_IAS Linux 5.
		
	

%package -n springdale-guide-en-US
Summary:    PU_IAS Linux Guide
Group:      Documentation
Requires(post,postun): coreutils
Provides: pu_ias-guide-en-US
Obsoletes: pu_ias-guide-en-us
%description -n springdale-guide-en-US

		
			This Guide documents relevant information regarding the configuration and administration of PU_IAS Linux 5.
		
	

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/springdale-guide.desktop <<'EOF'
[Desktop Entry]
Name=PU_IAS Linux Guide
Name[en-US]=PU_IAS Linux Guide
Comment=PU_IAS Linux 5.
Exec=yelp ghelp:springdale-guide
Icon=/usr/share/pixmaps/springdale/penguin-32.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/help/springdale-guide

%clean
rm -rf $RPM_BUILD_ROOT

%post -n springdale-guide-en-US
%define _locale %(echo en-US |sed 's/-/_/')
if [ ! -d /usr/share/gnome/help/springdale-guide/%{_locale} ]; then
	ln -s %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/springdale-guide/%{_locale};
fi
if [ ! -d /usr/share/gnome/help/springdale-guide/C ]; then
	ln -s %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/springdale-guide/C;
fi

%postun -n springdale-guide-en-US
if [ "$1" = 0 ]; then
	rm -rf /usr/share/gnome/help/springdale-guide
fi

%posttrans -n springdale-guide-en-US
mkdir -p /usr/share/gnome/help/springdale-guide
%define _locale %(echo en-US |sed 's/-/_/')
if [ ! -d /usr/share/gnome/help/springdale-guide/%{_locale} ]; then
	ln -s %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/springdale-guide/%{_locale};
fi
if [ ! -d /usr/share/gnome/help/springdale-guide/C ]; then
	ln -s %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/springdale-guide/C;
fi

%files -n springdale-guide-en-US
%defattr(-,root,root,-)
%doc en-US/*.xml

%doc en-US/images
/usr/share/applications/springdale-guide.desktop
/usr/share/gnome/help/springdale-guide
%doc en-US/images


%changelog

* Tue Apr 10 2007 Thomas Uphill <uphill@ias.edu>
- Remove non gpl...

* Thu Mar 29 2007 Thomas Uphill <uphill@ias.edu>
- Initial build
